package com.lyg.application.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.*;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import javax.validation.constraints.NotBlank;

/**
 * 附件表;
 * @author : http://www.chiner.pro
 * @date : 2024-3-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "附件表",description = "")
@TableName("ta_attach")
public class TaAttach implements Serializable,Cloneable{

    @ApiModelProperty(name = "附件Id",notes = "")
//    @TableId(value = "attach_id", type = IdType.ASSIGN_UUID)
    private String attachId ;

    @NotBlank(message = "附件名不能为空")
    @ApiModelProperty(name = "附件名",notes = "")
    private String attachName ;

    @ApiModelProperty(name = "附件地址",notes = "")
    private String attachUrl ;

    @ApiModelProperty(name = "文件类型",notes = "")
    private String fileType ;

    @ApiModelProperty(name = "状态",notes = "0 正常 1不正常")
    private Integer status ;

    @ApiModelProperty(name = "",notes = "")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createdTime ;

    @ApiModelProperty(name = "",notes = "")
    @TableField(fill = FieldFill.INSERT)
    private String createdBy ;

    @ApiModelProperty(name = "",notes = "")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updatedTime ;

    @ApiModelProperty(name = "",notes = "")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updatedBy ;

    @ApiModelProperty(name = "",notes = "0 存在 1 删除")
    @TableField(fill = FieldFill.INSERT)
    private Integer deleted ;

}