package com.lyg.application.entity;

import cn.hutool.json.JSON;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * 文章;
 *
 * @author : http://www.chiner.pro
 * @date : 2024-3-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "文章", description = "")
@TableName("ta_post")
public class TaPost implements Serializable, Cloneable {

    @ApiModelProperty(name = "文章Id", notes = "")
    @TableId(value = "post_id", type = IdType.ASSIGN_UUID)
    private String postId;

    @ApiModelProperty(name = "分类Id", notes = "")
    private String categoryId;

    @ApiModelProperty(name = "文章标题", notes = "")
    private String title;


    @TableField("`describe`") // 假设select是关键字
    @ApiModelProperty(name = "描述", notes = "")
    private String describe;

    @ApiModelProperty(name = "正文 (富文本)", notes = "")
    private String content;

    @ApiModelProperty(name = "多图", notes = "")
    private String images;

    @ApiModelProperty(name = "封面-横向", notes = "")
    private String coverHorizontal;

    @ApiModelProperty(name = "封面-纵向", notes = "")
    private String coverVertical;

    @ApiModelProperty(name = "标签", notes = "")
    private String tags;

    @ApiModelProperty(name = "作者", notes = "")
    private String author;

    @ApiModelProperty(name = "链接", notes = "")
    private String link;

    @ApiModelProperty(name = "状态", notes = "0 正常 1不正常")
    private Integer status;

    @ApiModelProperty(name = "", notes = "")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createdTime;

    @ApiModelProperty(name = "", notes = "")
    @TableField(fill = FieldFill.INSERT)
    private String createdBy;

    @ApiModelProperty(name = "", notes = "")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updatedTime;

    @ApiModelProperty(name = "", notes = "")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updatedBy;

    @ApiModelProperty(name = "", notes = "0 存在 1 删除")
    @TableField(fill = FieldFill.INSERT)
    private Integer deleted;


    @ApiModelProperty(name = "", notes = "附件表")
    @TableField(exist = false)
    private List<TaAttach> taAttachList;

}