package com.lyg.application.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.*;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import javax.validation.constraints.NotBlank;

/**
 * 关联附件表;
 * @author : http://www.chiner.pro
 * @date : 2024-3-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "关联附件表",description = "")
@TableName("ta_source_attach")
public class TaSourceAttach implements Serializable,Cloneable{

    @ApiModelProperty(name = "连接Id",notes = "")
    @TableId(value = "source_attach_id", type = IdType.ASSIGN_UUID)
    private String sourceAttachId ;

    @ApiModelProperty(name = "来源Id",notes = "")
    private String sourceId ;

    @NotBlank(message = "来源表名不能为空")
    @ApiModelProperty(name = "来源表名",notes = "")
    private String sourceName ;

    @ApiModelProperty(name = "附件Id",notes = "")
    private String attachId ;

    @ApiModelProperty(name = "状态",notes = "0 正常 1不正常")
    private Integer status ;

    @ApiModelProperty(name = "",notes = "")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createdTime ;

    @ApiModelProperty(name = "",notes = "")
    @TableField(fill = FieldFill.INSERT)
    private String createdBy ;

    @ApiModelProperty(name = "",notes = "")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updatedTime ;

    @ApiModelProperty(name = "",notes = "")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updatedBy ;

    @ApiModelProperty(name = "",notes = "0 存在 1 删除")
    @TableField(fill = FieldFill.INSERT)
    private Integer deleted ;

}