package com.lyg.system.entity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.*;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import javax.validation.constraints.NotBlank;

/**
 * 系统日志;
 * @author : http://www.chiner.pro
 * @date : 2024-3-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "系统日志",description = "")
@TableName("sys_log")
public class SysLog implements Serializable,Cloneable{

   @ApiModelProperty(name = "日志ID",notes = "")
   @TableId(value = "log_id", type = IdType.ASSIGN_UUID)
   private String logId ;

   @ApiModelProperty(name = "登录ID",notes = "")
   private String loginId ;

   @NotBlank(message = "用户名不能为空")
   @ApiModelProperty(name = "用户名",notes = "")
   private String userName ;

   @NotBlank(message = "模块名称不能为空")
   @ApiModelProperty(name = "模块名称",notes = "")
   private String moduleName ;

   @ApiModelProperty(name = "操作内容",notes = "")
   private String action ;

   @ApiModelProperty(name = "客户端",notes = "")
   private String clientType ;

   @ApiModelProperty(name = "访问地址",notes = "")
   private String uri ;

   @ApiModelProperty(name = "具体操作",notes = "")
   private String description ;

   @ApiModelProperty(name = "用户ID",notes = "")
   private String ip ;

   @ApiModelProperty(name = "User Agent",notes = "")
   private String ua ;

   @ApiModelProperty(name = "操作时间",notes = "")
   @TableField(fill = FieldFill.INSERT)
   private LocalDateTime createTime ;

}