package com.lyg.system.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.*;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import javax.validation.constraints.NotBlank;

/**
 * 单位表;
 * @author : http://www.chiner.pro
 * @date : 2024-3-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "单位表",description = "")
@TableName("sys_org")
public class SysOrg implements Serializable,Cloneable{

    @ApiModelProperty(name = "机构ID",notes = "")
    @TableId(value = "org_id", type = IdType.ASSIGN_UUID)
    private String orgId ;

    @ApiModelProperty(name = "机构编码",notes = "")
    private String orgCode ;

    @NotBlank(message = "机构名称不能为空")
    @ApiModelProperty(name = "机构名称",notes = "")
    private String name ;

    @ApiModelProperty(name = "上级单位",notes = "-1为根级目录")
    private String parentId ;

    @ApiModelProperty(name = "排序",notes = "")
    private Integer sortNo ;

    @ApiModelProperty(name = "7天全班",notes = "")
    private Integer isSeven ;

    @ApiModelProperty(name = "状态",notes = "")
    private Integer status ;

    @ApiModelProperty(name = "",notes = "")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createdTime ;

    @ApiModelProperty(name = "",notes = "")
    @TableField(fill = FieldFill.INSERT)
    private String createdBy ;

    @ApiModelProperty(name = "",notes = "")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updatedTime ;

    @ApiModelProperty(name = "",notes = "")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updatedBy ;

    @ApiModelProperty(name = "",notes = "0 存在 1 删除")
    @TableField(fill = FieldFill.INSERT)
    private Integer deleted ;

}