package com.lyg.system.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.*;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import javax.validation.constraints.NotBlank;

/**
 * 岗位表;
 * @author : http://www.chiner.pro
 * @date : 2024-3-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "岗位表",description = "")
@TableName("sys_position")
public class SysPosition implements Serializable,Cloneable{

    @ApiModelProperty(name = "岗位ID",notes = "")
    @TableId(value = "position_id", type = IdType.ASSIGN_UUID)
    private String positionId ;

    @ApiModelProperty(name = "岗位编码",notes = "")
    private String positionCode ;

    @NotBlank(message = "岗位名称不能为空")
    @ApiModelProperty(name = "岗位名称",notes = "")
    private String name ;

    @ApiModelProperty(name = "标准码",notes = "")
    private String standCode ;

    @ApiModelProperty(name = "所属机构",notes = "")
    private String orgId ;

    @ApiModelProperty(name = "排序",notes = "")
    private Integer sortNum ;

    @ApiModelProperty(name = "状态",notes = "")
    private Integer status ;

    @ApiModelProperty(name = "",notes = "")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createdTime ;

    @ApiModelProperty(name = "",notes = "")
    @TableField(fill = FieldFill.INSERT)
    private String createdBy ;

    @ApiModelProperty(name = "",notes = "")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updatedTime ;

    @ApiModelProperty(name = "",notes = "")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updatedBy ;

    @ApiModelProperty(name = "",notes = "0 存在 1 删除")
    @TableField(fill = FieldFill.INSERT)
    private Integer deleted ;

}