package com.lyg.system.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.*;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import javax.validation.constraints.NotBlank;

/**
 * 系统角色;
 * @author : http://www.chiner.pro
 * @date : 2024-3-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "系统角色",description = "")
@TableName("sys_role")
public class SysRole implements Serializable,Cloneable{

    @ApiModelProperty(name = "角色ID",notes = "")
    @TableId(value = "role_id", type = IdType.ASSIGN_UUID)
    private String roleId ;

    @NotBlank(message = "角色名称不能为空")
    @ApiModelProperty(name = "角色名称",notes = "")
    private String name ;

    @ApiModelProperty(name = "状态",notes = "")
    private Integer status ;

    @ApiModelProperty(name = "",notes = "")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createdTime ;

    @ApiModelProperty(name = "",notes = "")
    @TableField(fill = FieldFill.INSERT)
    private String createdBy ;

    @ApiModelProperty(name = "",notes = "")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updatedTime ;

    @ApiModelProperty(name = "",notes = "")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updatedBy ;

    @ApiModelProperty(name = "",notes = "0 存在 1 删除")
    @TableField(fill = FieldFill.INSERT)
    private Integer deleted ;

}