package com.lyg.system.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.*;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import javax.validation.constraints.NotBlank;

/**
 * 用户表;
 * @author : http://www.chiner.pro
 * @date : 2024-3-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "用户表",description = "")
@TableName("sys_user")
public class SysUser implements Serializable,Cloneable{

    @ApiModelProperty(name = "用户ID",notes = "")
    @TableId(value = "user_id", type = IdType.ASSIGN_UUID)
    private String userId ;

    @NotBlank(message = "用户名称不能为空")
    @ApiModelProperty(name = "用户名称",notes = "")
    private String name ;

    @ApiModelProperty(name = "头像",notes = "")
    private String avatar ;

    @ApiModelProperty(name = "手机",notes = "")
    private String phone ;

    @ApiModelProperty(name = "是否管理员 0否,1是",notes = "")
    private Integer isAdmin ;

    @ApiModelProperty(name = "行信ID",notes = "")
    private String hxId ;

    @ApiModelProperty(name = "岗位ID",notes = "")
    private String positionId ;

    @ApiModelProperty(name = "机构ID",notes = "")
    private String orgId ;

    @NotBlank(message = "机构名称不能为空")
    @ApiModelProperty(name = "机构名称",notes = "")
    private String orgName ;

    @ApiModelProperty(name = "状态",notes = "")
    private Integer status ;

    @ApiModelProperty(name = "排序",notes = "")
    private Integer sortNo ;

    @ApiModelProperty(name = "",notes = "")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createdTime ;

    @ApiModelProperty(name = "",notes = "")
    @TableField(fill = FieldFill.INSERT)
    private String createdBy ;

    @ApiModelProperty(name = "",notes = "")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updatedTime ;

    @ApiModelProperty(name = "",notes = "")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updatedBy ;

    @ApiModelProperty(name = "",notes = "0 存在 1 删除")
    @TableField(fill = FieldFill.INSERT)
    private Integer deleted ;


    @ApiModelProperty(name = "角色列表", notes = "")
    @TableField(exist = false)
    List<SysRole> rolesList;
    @ApiModelProperty(name = "菜单列表", notes = "")
    @TableField(exist = false)
    List<SysMenu> menuList;

}